# Right

An access right. Rights are regular database objects, but have generated names.

Methods
void | checkRename()
void | checkRename()
String | getCreateSQL()
String | getCreateSQL()
String | getCreateSQLForCopy(Table table, String quotedName)
String | getCreateSQLForCopy(Table table, String quotedName)
String | getDropSQL()
String | getDropSQL()
DbObject | getGrantedObject()
DbObject | getGrantedObject()
Role | getGrantedRole()
Role | getGrantedRole()
DbObject | getGrantee()
DbObject | getGrantee()
int | getRightMask()
int | getRightMask()
String | getRights()
String | getRights()
int | getType()
int | getType()
void | removeChildrenAndResources(Session session)
void | removeChildrenAndResources(Session session)
void | setRightMask(int rightMask)
void | setRightMask(int rightMask)

Fields
static int | ALL = 15
static int | ALTER_ANY_SCHEMA = 16
static int | DELETE = 2
static int | INSERT = 4
static int | SELECT = 1
static int | UPDATE = 8

#### SELECT = 1

The right bit mask that means: selecting from a table is allowed.

#### ALL = 15

The right bit mask that means: select, insert, update, delete, and update for this object is allowed.

#### ALTER_ANY_SCHEMA = 16

The right bit mask that means: create/alter/drop schema is allowed.

#### DELETE = 2

The right bit mask that means: deleting rows from a table is allowed.

#### INSERT = 4

The right bit mask that means: inserting rows into a table is allowed.

#### UPDATE = 8

The right bit mask that means: updating data is allowed.